Commit 00155e5d authored by alexpott's avatar alexpott

Issue #1959062 by patrickd, brad.bulger: Check safe_mode() = Off requirement early.

parent 33b03374
...@@ -26,6 +26,14 @@ ...@@ -26,6 +26,14 @@
exit; exit;
} }
// Exit early if the PHP option safe_mode is enabled to avoid fatal errors.
// @todo Remove this check once we require PHP > 5.4 as safe mode is deprecated
// in PHP 5.3 and completely removed in PHP 5.4.
if (ini_get('safe_mode')) {
print 'Your PHP installation has safe_mode enabled. Drupal requires the safe_mode option to be turned off. See the <a href="http://drupal.org/requirements">system requirements</a> page for more information.';
exit;
}
// Start the installer. // Start the installer.
require_once __DIR__ . '/includes/install.core.inc'; require_once __DIR__ . '/includes/install.core.inc';
install_drupal(); install_drupal();
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment